LibreOffice: cppu::PartialWeakComponentImplHelper12< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10, Ifc11, Ifc12 > Class Template Reference

LibreOffice LibreOffice 24.2 SDK C/C++ API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cppu::PartialWeakComponentImplHelper12< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10, Ifc11, Ifc12 > Class Template Reference

Same as WeakComponentImplHelper12, except doesn't implement addEventListener, removeEventListener and dispose. More...

`#include <compbase12.hxx>`

Inheritance diagram for cppu::PartialWeakComponentImplHelper12< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10, Ifc11, Ifc12 >:

## Public Member Functions
| PartialWeakComponentImplHelper12 (::osl::Mutex &rMutex) SAL_NOEXCEPT
virtual css::uno::Any | queryInterface (css::uno::Type const &rType) SAL_OVERRIDE
virtual void | acquire () SAL_NOEXCEPT SAL_OVERRIDE
virtual void | release () SAL_NOEXCEPT SAL_OVERRIDE
virtual css::uno::Sequence< css::uno::Type > | getTypes () SAL_OVERRIDE
virtual css::uno::Sequence< sal_Int8 > | getImplementationId () SAL_OVERRIDE

## Detailed Description

template<class Ifc1, class Ifc2, class Ifc3, class Ifc4, class Ifc5, class Ifc6, class Ifc7, class Ifc8, class Ifc9, class Ifc10, class Ifc11, class Ifc12>
class cppu::PartialWeakComponentImplHelper12< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10, Ifc11, Ifc12 >

Same as WeakComponentImplHelper12, except doesn't implement addEventListener, removeEventListener and dispose.

This requires derived classes to implement those three methods. This makes it possible to implement classes which are required to implement methods from multiple bases which have different addEventListener/removeEventListener signatures without triggering the g++ overloaded-virtual warning

## Constructor & Destructor Documentation

## ◆ PartialWeakComponentImplHelper12()

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 , class Ifc7 , class Ifc8 , class Ifc9 , class Ifc10 , class Ifc11 , class Ifc12 >

cppu::PartialWeakComponentImplHelper12< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10, Ifc11, Ifc12 >::PartialWeakComponentImplHelper12 | ( | ::osl::Mutex & | rMutex | ) |
| inline

## Member Function Documentation

## ◆ acquire()

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 , class Ifc7 , class Ifc8 , class Ifc9 , class Ifc10 , class Ifc11 , class Ifc12 >

virtual void cppu::PartialWeakComponentImplHelper12< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10, Ifc11, Ifc12 >::acquire | ( |  | ) |
| inlinevirtual

## ◆ getImplementationId()

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 , class Ifc7 , class Ifc8 , class Ifc9 , class Ifc10 , class Ifc11 , class Ifc12 >

virtual css::uno::Sequence< sal_Int8 > cppu::PartialWeakComponentImplHelper12< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10, Ifc11, Ifc12 >::getImplementationId | ( |  | ) |
| inlinevirtual

## ◆ getTypes()

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 , class Ifc7 , class Ifc8 , class Ifc9 , class Ifc10 , class Ifc11 , class Ifc12 >

virtual css::uno::Sequence< css::uno::Type > cppu::PartialWeakComponentImplHelper12< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10, Ifc11, Ifc12 >::getTypes | ( |  | ) |
| inlinevirtual

## ◆ queryInterface()

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 , class Ifc7 , class Ifc8 , class Ifc9 , class Ifc10 , class Ifc11 , class Ifc12 >

virtual css::uno::Any cppu::PartialWeakComponentImplHelper12< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10, Ifc11, Ifc12 >::queryInterface | ( | css::uno::Type const & | rType | ) |
| inlinevirtual

## ◆ release()

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 , class Ifc7 , class Ifc8 , class Ifc9 , class Ifc10 , class Ifc11 , class Ifc12 >

virtual void cppu::PartialWeakComponentImplHelper12< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10, Ifc11, Ifc12 >::release | ( |  | ) |
| inlinevirtual

The documentation for this class was generated from the following file:

- cppuhelper/compbase12.hxx